{-# LANGUAGE DeriveGeneric #-}
{-# OPTIONS_GHC -fno-warn-unused-imports #-}

-- UUAGC 0.9.55 (src/GLua/AG/Token.ag)
module GLua.AG.Token where

{-# LINE 9 "src/GLua/AG/Token.ag" #-}

import GHC.Generics
import Text.ParserCombinators.UU.BasicInstances hiding (pos)
{-# LINE 13 "src/GLua/AG/Token.hs" #-}
-- MToken ------------------------------------------------------
data MToken = MToken !(Region) !(Token)

-- MTokenList --------------------------------------------------
type MTokenList = [MToken]

-- Region ------------------------------------------------------
data Region = Region !(LineColPos) !(LineColPos)
  deriving (Generic, Show)

-- Token -------------------------------------------------------
data Token
  = Whitespace !(String)
  | DashComment !(String)
  | DashBlockComment !(Int) !(String)
  | SlashComment !(String)
  | SlashBlockComment !(String)
  | Semicolon
  | TNumber !(String)
  | DQString !(String)
  | SQString !(String)
  | MLString !(String)
  | TTrue
  | TFalse
  | Nil
  | VarArg
  | Plus
  | Minus
  | Multiply
  | Divide
  | Modulus
  | Power
  | TEq
  | TNEq
  | TCNEq
  | TLEQ
  | TGEQ
  | TLT
  | TGT
  | Equals
  | Concatenate
  | Colon
  | Dot
  | Comma
  | Hash
  | Not
  | CNot
  | And
  | CAnd
  | Or
  | COr
  | Function
  | Local
  | If
  | Then
  | Elseif
  | Else
  | For
  | In
  | Do
  | While
  | Until
  | Repeat
  | Continue
  | Break
  | Return
  | End
  | LRound
  | RRound
  | LCurly
  | RCurly
  | LSquare
  | RSquare
  | Label !(String) !(String) !(String)
  | Identifier !(String)
  deriving (Eq, Generic, Ord)

-- TokenList ---------------------------------------------------
type TokenList = [Token]
